Create Image
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages
Creates a new image. This is an asynchronous operation, which submits a deployment procedure to perform this task.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Match One Schema
Show Source
-
object
DatabaseGoldImageDetails
Input to create the image
-
object
ExapatchGoldImageInputDetails
Request details to create a Exapatch Gold Image
Nested Schema : DatabaseGoldImageDetails
Type:
objectInput to create the image
Match One Schema
Show Source
-
object
DatabaseGoldImageReferenceHomeInput
Input to create image from a reference Oracle home
-
object
DatabaseGoldImageReferenceHomePatchingInput
Input to create the image from the reference Oracle home with patching
-
object
DatabaseGoldImageNewHomePatchingInput
Input to create the image from new home with patching, which is to be used as the reference Oracle home
-
object
DatabaseGoldImageImportInput
Input to create image from import
-
object
DatabaseGoldImageFPPInput
Input to create new series resource in FPP server with given series name and creates image from reference Oracle Home and associates series to it
-
object
DatabaseGoldImageFPPReferenceHomeInput
Input to create image in FPP server from a reference Oracle home
-
object
DatabaseGoldImageFPPReferenceHomePatchingInput
Input to create the image in FPP server from the reference Oracle home with patching
-
object
DatabaseGoldImageFPPNewHomePatchingInput
Input to create the image in FPP server from new home with patching, which is to be used as the reference Oracle home
Nested Schema : ExapatchGoldImageInputDetails
Type:
objectRequest details to create a Exapatch Gold Image
Match All
Request details to create a Exapatch Gold Image
Show Source
-
object
ExapatchGoldImageDetails
Input details to create a Exapatch Gold Image
Nested Schema : DatabaseGoldImageReferenceHomeInput
Type:
objectInput to create image from a reference Oracle home
Show Source
-
referenceHostCredential: string
Reference Oracle Home host credentialExample:
TESTSUPERADMIN:ADMIN -
referenceTargetName(required): string
Reference Oracle Home targetExample:
myoraclehome_4661
Match All
Input to create image from a reference Oracle home
Show Source
-
object
allOf
DatabaseGoldImageInput
Common input to create image or version
Nested Schema : DatabaseGoldImageReferenceHomePatchingInput
Type:
objectInput to create the image from the reference Oracle home with patching
Show Source
-
isCleanupDestinationHome: boolean
Flag to indicate cleanup destination homeExample:
false -
patchList(required): string
Patches to be appliedExample:
31504723 -
referenceHostPrivilegeCredential: string
Privilege host credential of the reference Oracle Home targetExample:
TESTPRIVADMIN:ADMIN
Match All
Input to create the image from the reference Oracle home with patching
Show Source
-
object
allOf
DatabaseGoldImageReferenceHomeInput
Input to create image from a reference Oracle home
Nested Schema : DatabaseGoldImageNewHomePatchingInput
Type:
objectInput to create the image from new home with patching, which is to be used as the reference Oracle home
Show Source
-
destinationOracleHomeLocation(required): string
Location of the destination Oracle homeExample:
/u01/oracle/newhome
Match All
Input to create the image from new home with patching, which is to be used as the reference Oracle home
Show Source
-
object
allOf
DatabaseGoldImageReferenceHomePatchingInput
Input to create the image from the reference Oracle home with patching
Nested Schema : DatabaseGoldImageImportInput
Type:
objectInput to create image from import
Show Source
-
externalStageLocation: string
External stage location of the imageExample:
/scratch/sharedLoc/san_loc -
hostCredential(required): string
Credential of the hostExample:
SRC_HOST_CRED:ADMIN -
hostName(required): string
Name of the hostExample:
myhost.com -
imageBundleLocation(required): string
Bundle location of the imageExample:
/scratch/images/exportedimages -
imageBundleName(required):
Bundle name of imageExample:
exportedImage_18c.zip -
imageDescription: string
Description of the imageExample:
importing image 18c -
imageName(required): string
Name of the imageExample:
fm_18c_image1 -
imageSoftwareLibraryLocation(required):
Software library location for the imageExample:
Oracle Home Provisioning Profiles/18.3.0.0.0/linux_x64 -
softwareLibraryStorageName(required): string
Software library storage nameExample:
swlib -
softwareLibraryStorageType(required): string
Software library storage typeExample:
OmsShared -
versionName(required): string
Name of the image versionExample:
Version1-18.3 -
workingDirectory(required): string
Default Value:
/u01/scratch/workDirWorking directoryExample:/scratch/workdir
Nested Schema : DatabaseGoldImageFPPInput
Type:
objectInput to create new series resource in FPP server with given series name and creates image from reference Oracle Home and associates series to it
Show Source
-
fppOptions: string
Additional options for FPP
-
fppRestUser: string
REST user to be used for an FPP REST callExample:
rest_cuser -
imageDescription: string
Description for the imageExample:
Gold image for DB19 -
imageName: string
Name of the FPP seriesExample:
FPP_DB_19_Series_04_july_21 -
referenceHostCredential: string
Host credential of the reference hostExample:
SRC_HOST_CRED:ADMIN -
referenceTargetName(required): string
Reference target nameExample:
myoraclehome_3917 -
version: string
Version of the image
-
versionName(required): string
Name of the imageExample:
Tier1_19_ver_Image_04_July_21 -
workingDirectory(required): string
Default Value:
/u01/scratch/workDirWorking directoryExample:/scratch/cuser/agents/image
Nested Schema : DatabaseGoldImageFPPReferenceHomeInput
Type:
objectInput to create image in FPP server from a reference Oracle home
Show Source
-
referenceHostCredential: string
Reference Oracle home host credentialExample:
TESTSUPERADMIN:ADMIN -
referenceTargetName(required): string
Reference Oracle home targetExample:
myoraclehome_4661
Match All
Input to create image in FPP server from a reference Oracle home
Show Source
-
object
DatabaseGoldImageFPPInput
Input to create new series resource in FPP server with given series name and creates image from reference Oracle Home and associates series to it
Nested Schema : DatabaseGoldImageFPPReferenceHomePatchingInput
Type:
objectInput to create the image in FPP server from the reference Oracle home with patching
Show Source
-
isCleanupDestinationHome: boolean
Flag to indicate cleanup destination homeExample:
false -
patchList(required): string
Patches to be appliedExample:
31504723 -
referenceHostPrivilegeCredential: string
Privilege host credential of the reference Oracle home targetExample:
TESTPRIVADMIN:ADMIN
Match All
Input to create the image in FPP server from the reference Oracle home with patching
Show Source
-
object
allOf
DatabaseGoldImageFPPReferenceHomeInput
Input to create image in FPP server from a reference Oracle home
Nested Schema : DatabaseGoldImageFPPNewHomePatchingInput
Type:
objectInput to create the image in FPP server from new home with patching, which is to be used as the reference Oracle home
Show Source
-
destinationOracleHomeLocation(required): string
Location of the destination Oracle homeExample:
/u01/oracle/newhome
Match All
Input to create the image in FPP server from new home with patching, which is to be used as the reference Oracle home
Show Source
-
object
allOf
DatabaseGoldImageFPPReferenceHomePatchingInput
Input to create the image in FPP server from the reference Oracle home with patching
Nested Schema : DatabaseGoldImageInput
Type:
objectCommon input to create image or version
Show Source
-
imageName: string
Name of the image
Match All
Common input to create image or version
Show Source
-
object
DatabaseGoldImageCommonDetails
Common input details to create the image
Nested Schema : DatabaseGoldImageCommonDetails
Type:
objectCommon input details to create the image
Show Source
-
excludeFileList: string
List of files to be excluded
-
externalId: string
External ID for the imageExample:
oracle:defaultService:em:provisioning:1:cmp:COMP_Component:SUB_OracleDB:4BAFA861A7E96603E053057FB10A0588:0.1 -
externalStageLocation: string
External Stage Location for SANExample:
false -
imageDescription: string
Description of the image
-
imageNotes: string
Notes about the image
-
imageSoftwareLibraryPath: string
Software library path for imageExample:
<path>/18.0/linux64 -
isCreateImageLegacyWay: boolean
Flag to indicate creation of the image in a legacy wayExample:
false -
isIgnoreActiveFileExecutionCheck: boolean
Flag to ignore active files executionExample:
false -
nfsLocalMountPoint: string
Local directory path for NFS share to mountExample:
/scratch/cuser/Nfs_mount_point -
softwareLibraryStorageName: string
Software library storage nameExample:
swlib -
softwareLibraryStorageType: string
Software Library storage typeExample:
OmsShared -
storageDestination: string
Allowed Values:
[ "SOFTWARE_LIBRARY", "FPP_SERVER" ]Image storage/creation is either in software library or in FPP server -
versionName: string
Name for the Database Gold Image VersionExample:
fm_version_1 -
versionStatus: string
Allowed Values:
[ "CURRENT" ]Enum for image version status -
windowsCredential: string
Credential for the Windows platform
-
workingDirectory: string
Default Value:
/u01/scratch/workDirWorking directoryExample:/scratch/workdir
Nested Schema : ExapatchGoldImageDetails
Type:
objectInput details to create a Exapatch Gold Image
Match One Schema
Show Source
-
ExapatchGoldImageInput
Common Request details to create a new Exadata Gold Image
Nested Schema : ExapatchGoldImageInput
Common Request details to create a new Exadata Gold Image
Match All
Common Request details to create a new Exadata Gold Image
Show Source
-
object
ExapatchGoldImageCommonDetails
Creates a new image resource with the given image name and creates a Gold Image from patch location on given fpp server.
Nested Schema : ExapatchGoldImageCommonDetails
Type:
objectCreates a new image resource with the given image name and creates a Gold Image from patch location on given fpp server.
Show Source
-
dbNodeFile: string
File name of the dbnode patch.Example:
p34568889_221000_Linux-x86-64.zip -
fppServerHost: string
FPP host nameExample:
myFppServerHostName.mycompany.com -
imageDescription: string
Description of the Gold ImageExample:
Description of the Exapatch Gold Image -
imageLocation: string
Location of the patch on the fpp serverExample:
/u01/staging/db_212 -
imageName: string
Name of the imagesExample:
FPP_Switch_31_Oct_22 -
imageVersion: string
Image versionExample:
19.13.0.0.0 -
patchManagerLocation: string
Folder name that contains patch manager files should be a relative path of given imageLocation.Example:
dbserver_patch_220810 -
referenceHostCredential: string
Host Credential for the reference fpp server host.Example:
TEST_HOST_CREDENTIAL:SYSMAN -
storageFile: string
File name of storage patch.Example:
p34568888_221000_Linux-x86-64.zip -
switchFile: string
File name of switch patch .Example:
p34568890_221000_Linux-x86-64.zip -
targetType: string
Allowed Values:
[ "oracle_si_netswitch", "oracle_dbmachine", "oracle_exadata", "host" ]Exapatch creation type -
versionName: string
Name of the image versionExample:
Tier1_ver_Image_31_July_22 -
workingDirectory: string
Working directory locationExample:
/u01/scratch/workDir
Examples
Back to Top
Response
202 Response
It is a long running/async API. It submits a deployment procedure.
Headers
-
Location:
URL link to track the status of the API for the deployment procedureExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
Root Schema : schema
Type:
Show Source
object-
links: object
links
links
-
message: string
messageExample:
It is a long running/async API. It submits a deployment procedure.
Nested Schema : links
Type:
objectlinks
Show Source
-
tracking: object
tracking
Represents a link to the REST API to track the status of the submitted deployment procedure
Nested Schema : tracking
Type:
objectRepresents a link to the REST API to track the status of the submitted deployment procedure
Show Source
-
href: string
URL for the linkExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message